Plugin for Leda

I know you guys are probably working on it, but I'd love to hear some rough estimate of when we'll see a first version of the Ruby plugin working in Leda.

10 comments
Comment actions Permalink

Yes please :)

Lots of Java, Jruby and other JVM bits and pieces, so not planning on moving off IntelliJ any time soon, but can't move to 12 EAP and test it without the Ruby support.

0
Comment actions Permalink

We're currently working on automatic plugin publishing for EAP, so next update should be available together with next Leda EAP

0
Comment actions Permalink

Awesome. Thanks for letting us know!

0
Comment actions Permalink

Hey there,

Would this be the 4.5 Ruby plugin and is this available as of build 122.592?

Thanks!

0
Comment actions Permalink

Yes, this is post-4.5 plugin.
And it is kind of available for the latest Idea EAP build (but it has a bug in SASS support which causes a lot of exceptions to be thrown :(
If you do not use SASS and it is acceptable for you to ignore internal errors reported by IDE then you can use it.
Otherwise you have to wait next EAP.

Regards, Oleg.

0
Comment actions Permalink

Alrighty I'll have to wait on that then. I use SASS pretty extensively. I'm also looking forward to PHP and Python as well as noted at http://devnet.jetbrains.net/thread/437209?tstart=0 .  Hopefully those will be usable for testing soon as well.

Thanks mich!

0
Comment actions Permalink

Just checking to see if there has been an update to the plugin or a planned update. I just learned that the Python plugin is coming to Leda next week:

http://devnet.jetbrains.net/message/5471929#5471929

In fact I see there was an update just today and in fact 3 updates since this post! I couldn't immediately see if the SASS exceptions were resolved for the plugin though. Is that all cleared up? Is there a speicifc thing Idea users can query on the issue tracker to look for plugin related issues?

Thanks again!

0
Comment actions Permalink

SASS exception has been resolved.
As for query: I do not know such because we do not have any specific versions/subsystem for plugin.

Regards, Oleg.

0
Comment actions Permalink

Hello again,

I was just informed that the Ruby plugin is no longer available for the current Leda release (released on Nov 22). I've been waiting for the primary languages I use (Ruby, PHP and Python) to all be available for use at the same time so that I can finally jump in with Leda. Is there an update planned soon?

0
Comment actions Permalink

We're planning to post updated plugin in the beginning of the next week after some testing

0

Please sign in to leave a comment.